ustrtok_r(3)

NAME
ustrtok_r

SYNOPSIS
#include <allegro.h>

char *ustrtok_r(char *s, const char *set, char **last);

DESCRIPTION
Reentrant version of ustrtok. The `last' parameter is used to keep track of where the parsing is up to and must be a pointer to a char * variable allocated by the user that remains the same while parsing the same string. Example:
   char *word, *last;
   char string[]="some-words with dashes";
   char *temp = ustrdup(string);
   word = ustrtok_r(string, " -", &last);
   while (word) {
      allegro_message("Found `%s'\n", word);
      word = ustrtok_r(NULL, " -", &last);
   }
   free(temp);

RETURN VALUE
Returns a pointer to the token, or NULL if no more are found. You can free the memory pointed to by `last' once NULL is returned.

SEE ALSO
ustrtok(3)